Skip to main content
PUT
Update an owned draft post.

Authorizations

Authorization
string
header
required

An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
title
string
Required string length: 1 - 500
slug
string
Required string length: 1 - 200
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
description
string | null
Maximum string length: 12000
targetName
string | null
Maximum string length: 255
targetType
enum<string> | null
Available options:
GALAXY,
NEBULA,
STAR_CLUSTER,
PLANETARY_NEBULA,
OTHER
captureDate
string<date-time> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
bortle
integer | null
Required range: 1 <= x <= 9
integrationSetIds
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

post
object
required